/*

  Magic Light Cup Module LED ON/OFF

  Parts required:
  - Arduino Board
  - 2 x Magic Light Cup Module

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 12 Jun 2019
  Version : v1.0

*/

// Initialize all variables
int ledPin1 = 6;
int ledPin2 = 7;
int mercurySwitch1 = 2;
int mercurySwitch2 = 3;
int mercurySwitchState1;
int mercurySwitchState2;

void setup() {
  pinMode(ledPin1, OUTPUT);                           // Set ledPin1 as OUTPUT
  pinMode(ledPin2, OUTPUT);                           // Set ledPin2 as OUTPUT
  pinMode(mercurySwitch1, INPUT);                     // Set mercurySwitchPin1 as INPUT
  pinMode(mercurySwitch2, INPUT);                     // Set mercurySwitchPin2 as INPUT
}

void loop() {

  mercurySwitchState1 = digitalRead(mercurySwitch1);  // Read value of Set mercurySwitch1 and store in mercurySwitchState1

  if (mercurySwitchState1 == HIGH) {                  // If mercurySwitchState1 == HIGH Do
    digitalWrite(ledPin1, HIGH);                      // Turn ON LED
  }
  else {
    digitalWrite(ledPin1, LOW);                       // Turn OFF LED
  }

  mercurySwitchState2 = digitalRead(mercurySwitch2);  // Read value of Set mercurySwitch2 and store in mercurySwitchState2

  if (mercurySwitchState2 == HIGH) {                  // If mercurySwitchState2 == HIGH Do
    digitalWrite(ledPin2, HIGH);                      // Turn ON LED
  }
  else {
    digitalWrite(ledPin2, LOW);                       // Turn ON LED
  }

}
